declare namespace API {
  type PageParams = {
    current?: number;
    pageSize?: number;
  };
  type Result<T> = {
    code?: number;
    msg?: string;
    data?: T;
  };
  type Page<T> = {
    total?: number;
    per_page?: number;
    current_page?: number;
    last_page?: number;
    data?: T[];
  };
}
